%define name chromium
%define version 0.9.12
%define release 23mdk

Summary: Fast paced, arcade-style, top-scrolling space shooter
Name: %{name}
Version: %{version}
Release: %{release}
License: Artistic
Group: Games/Arcade
Source: http://www.reptilelabour.com/software/files/chromium/chromium-src-%{version}.tar.bz2
Source1: http://www.reptilelabour.com/software/files/chromium/chromium-data-%{version}.tar.bz2
Source10: %{name}.16.png.bz2
Source11: %{name}.32.png.bz2
Source12: %{name}.48.png.bz2
URL: http://www.reptilelabour.com/software/chromium/
Patch0: chromium-0.9.12-fix-flags.patch.bz2
Patch1: chromium-0.9.11-glibc-2.2.2.patch.bz2
Patch3: chromium-fix-gcc-2.96.patch.bz2
Patch5: chromium-0.9.12-fix-openal-configurecall.patch.bz2
Patch6: chromium-0.9.12-shared-zlib.patch.bz2
Patch7: chromium-0.9.12-fix-gcc31.patch.bz2
Patch8: chromium-0.9.12-fix-qt3.patch.bz2

BuildRequires:	SDL-devel
BuildRequires:	XFree86-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	esound-devel
BuildRequires:	libMesaGLU-devel
BuildRequires:	libogg-devel
BuildRequires:	libsmpeg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	qt3-devel
BuildRequires:	texinfo
BuildRequires:	zlib-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
You are captain of the cargo ship Chromium B.S.U., responsible for delivering
supplies to our troops on the front line. Your ship has a small fleet of
robotic fighters which you control from the relative safety of the Chromium
vessel.
This is an OpenGL-based shoot them up game with fine graphics.

%package setup
Summary: Setup frontend for Chromium
Group: Games/Arcade
Requires: %{name} = %{version}-%{release}

%description setup
This package contains the setup frontend (using QT) to ease configuration
of Chromium, especially for its playlist features.

%prep
%setup -q -n Chromium-0.9
%patch0 -p0
%patch1 -p0
%patch3 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0

# Nuke references to -L/usr/lib and -L/usr/local/lib
find . -name Makefile | xargs \
  perl -pi -e "s,-L/usr(/local)?/lib\b,,g"

# Make it lib64 aware
find . -name Makefile -or -name configure | xargs \
  perl -pi -e "s,(/usr(/X11R6)?|\\\$\(QTDIR\))/lib\b,\1/%{_lib},g"

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer"
export DEFS="-DGAMESBINDIR=\\\"%{_gamesbindir}\\\" -DPKGDATADIR=\\\"%{_gamesdatadir}/Chromium-0.9\\\" -DUSE_SDL `sdl-config --cflags` -DOLD_OPENAL -DAUDIO_OPENAL -D_REENTRANT -I../../include -I../support/openal/linux/include -I../support/openal/include"
export OPENAL_CONFIG_OPTS="./configure %{_target_platform}"
# QTDIR will alway be in /usr/lib whatever the platform may it be
export QTDIR=%{_prefix}/lib/qt3
./configure --enable-vorbis
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_gamesbindir}
cp bin/* $RPM_BUILD_ROOT/%{_gamesbindir}
mkdir -p $RPM_BUILD_ROOT/%{_gamesdatadir}
tar jxvf %{SOURCE1} -C $RPM_BUILD_ROOT/%{_gamesdatadir}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.png" \
  needs="x11" section="Amusement/Arcade" title="Chromium" \
  longtitle="OpenGL shoot them up"
EOF

cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/chromium-setup
?package(chromium-setup):command="%{_gamesbindir}/chromium-setup" icon="%{name}.png" \
  needs="x11" section="Amusement/Arcade" title="Chromium Setup" \
  longtitle="Graphical Setup of Chromium"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

rm -rf `find $RPM_BUILD_ROOT -type d -name .xvpics`

%post
%{update_menus}

%postun
%{clean_menus}

%post setup
%{update_menus}

%postun setup
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README LICENSE CHANGES
%{_gamesbindir}/chromium
%{_gamesdatadir}/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files setup
%defattr(-, root, root)
%doc README
%{_gamesbindir}/chromium-setup
%{_menudir}/chromium-setup

%changelog
* Mon Aug 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.12-23mdk
- Rebuild with new menu

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 0.9.12-22mdk
- Rebuild

* Tue Sep  2 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.12-21mdk
- fix buildrequires for 64bit build

* Sun Jul 27 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.12-20mdk
- changed icon
- drop prefix tag
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install

* Thu Jul 17 2003 David BAUDENS <baudens@mandrakesoft.com> 0.9.12-19mdk
- Rebuild

* Wed Dec  4 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.12-18mdk
- Make it lib64 aware
- People should stop -L/usr/lib explicitly. As a result, that stupid
  linker path was explicitly added *before* -L../support/openal/lib
  thus linking with the system (and actually incompatible) libopenal.

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.12-17mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Sun Aug  4 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9.12-16mdk
- BuildRequires

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.12-15mdk
- Automated rebuild with gcc3.2

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.12-14mdk
- recompile against new vorbis stuff

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.12-13mdk
- rebuild to link against latest libstdc++
- use qt3 (disable color stuff in textbrowser stuff)

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.12-12mdk
- rebuild for new alsa

* Mon Feb 18 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.12-11mdk
- add patch6 to have a shared zlib

* Sun Feb 17 2002 Yves Duret <yduret@mandrakesoft.com> 0.9.12-10mdk
- remove patch10: reuse private copy of MODIFIED libpng
  (thanx Charles A Edwards <eslrahc@bellsouth.net>)

* Tue Feb 12 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 0.9.12-9mdk
- Add Patch10: use shared zlib, libpng, not private copy

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.12-8mdk
- xpm -> png icons

* Tue Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9.12-7mdk
- BuildRequires 

* Mon Dec 31 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.12-6mdk
- fix BuildRequires

* Wed Oct 17 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.12-5mdk
- fix no-documentation
- more/better doc

* Fri Oct 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.12-4mdk
- rebuild for libpng3

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.12-3mdk
- BuildRequires: libogg-devel
- BuildRequires: libqt2-devel
- BuildRequires: Mesa-common-devel

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.12-2mdk
- rebuild

* Fri May 25 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.12-1mdk
- version 0.9.12

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.11-4mdk
- new SDL
- code version 0.9.11a

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 0.9.11-3mdk
- Rebuild against Qt 2.3.0

* Mon Mar  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.11-2mdk
- rebuild against fixed smpeg (rpath stuff)
- make setup package dependant on main package

* Tue Feb 20 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.11-1mdk
- 0.9.11

* Mon Jan 29 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.10-1mdk
- 0.9.10
- now subpackage includes chromium-setup (qt2 setup frontend)

* Tue Dec 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.9-1mdk
- 0.9.9 to please sucking pixel

* Fri Dec  8 2000 Pixel <pixel@mandrakesoft.com> 0.9.8-2mdk
- fix BuildReq

* Sun Nov 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.8-1mdk
- 0.9.8 with many improvements: now a commercial-level game IMHO!

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.7-3mdk
- recompile against newest libstdc++

* Thu Oct 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.7-2mdk
- fix compile with gcc-2.96

* Thu Oct 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.7-1mdk
- release 0.9.7

* Sat Sep 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.6-1mdk
- first Mandrake Package

